public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/wand/
Date: Sun, 17 May 2020 11:56:44 +0000 (UTC)	[thread overview]
Message-ID: <1589716482.3cc19b5378b38e4199340b791982413c852c6e3d.sbraz@gentoo> (raw)

commit:     3cc19b5378b38e4199340b791982413c852c6e3d
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sun May 17 11:36:40 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sun May 17 11:54:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cc19b53

dev-python/wand: new pkg, v0.6.1, ImageMagick binding for Python

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/wand/Manifest          |  1 +
 dev-python/wand/metadata.xml      | 13 +++++++++++++
 dev-python/wand/wand-0.6.1.ebuild | 35 +++++++++++++++++++++++++++++++++++
 3 files changed, 49 insertions(+)

diff --git a/dev-python/wand/Manifest b/dev-python/wand/Manifest
new file mode 100644
index 00000000000..bfe67765c0e
--- /dev/null
+++ b/dev-python/wand/Manifest
@@ -0,0 +1 @@
+DIST Wand-0.6.1.tar.gz 10501178 BLAKE2B 76eb22363a20bc93fafae334a65917310cae82b0613b4b8b1eb749ef453268eb4413734ece7a39448d25782ce2ee8c63e71f9571707ec764851d82dbe5a6a6e4 SHA512 3edc4030130c1d03547d933f05eca4e9c9d10bdd527b1e41657a6b3f81d433da63fbbaddf63c726417f90335ac475508f1a467ee5e368eecb5cf9e94e79da9bf

diff --git a/dev-python/wand/metadata.xml b/dev-python/wand/metadata.xml
new file mode 100644
index 00000000000..79a7ad6bd9e
--- /dev/null
+++ b/dev-python/wand/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>sbraz@gentoo.org</email>
+		<name>Louis Sautier</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="pypi">Wand</remote-id>
+		<remote-id type="github">emcconville/wand</remote-id>
+		<bugs-to>https://github.com/emcconville/wand/issues</bugs-to>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-python/wand/wand-0.6.1.ebuild b/dev-python/wand/wand-0.6.1.ebuild
new file mode 100644
index 00000000000..d4d05f19396
--- /dev/null
+++ b/dev-python/wand/wand-0.6.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{7,8} )
+
+inherit distutils-r1
+
+MY_P="${PN^}-${PV}"
+DESCRIPTION="Ctypes-based simple ImageMagick binding for Python"
+HOMEPAGE="http://wand-py.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="media-gfx/imagemagick"
+BDEPEND="
+	test? (
+		media-gfx/imagemagick[fftw,jpeg,png,truetype,xml]
+		>=dev-python/pytest-5.3.5[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_sphinx docs
+
+python_test() {
+	# PDF support is blocked by the default ImageMagick security policy
+	pytest -vv --skip-pdf || die "Tests fail with ${EPYTHON}"
+}


             reply	other threads:[~2020-05-17 11:56 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-05-17 11:56 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-07-09  9:00 [gentoo-commits] repo/gentoo:master commit in: dev-python/wand/ Louis Sautier
2020-07-12 16:57 Michał Górny
2020-09-15  8:26 Louis Sautier
2020-09-18 15:53 Michał Górny
2020-11-30  0:43 Louis Sautier
2021-02-28 16:19 Louis Sautier
2021-02-28 16:19 Louis Sautier
2021-05-09 15:34 Louis Sautier
2021-08-17  6:47 Michał Górny
2021-08-17 22:17 Louis Sautier
2021-10-17  9:44 Michał Górny
2022-06-17 12:45 Arthur Zamarin
2022-07-17  6:28 Michał Górny
2022-08-04 17:55 Arthur Zamarin
2022-08-04 17:55 Arthur Zamarin
2022-08-15 19:06 Arthur Zamarin
2022-08-15 19:06 Arthur Zamarin
2022-11-14  5:07 Michał Górny
2023-01-05 23:35 Louis Sautier
2023-01-27 20:10 Michał Górny
2023-03-25 17:19 Michał Górny
2023-11-04  6:29 Michał Górny
2024-06-17 17:37 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1589716482.3cc19b5378b38e4199340b791982413c852c6e3d.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox